﻿using System;
using System.ComponentModel;
using System.Linq;
using Telerik.Windows.Controls;

namespace RadControlsWpfApp2.ViewModels
{
	public class BaseViewModel : INotifyPropertyChanged
	{
		#region INotifyPropertyChangedRegion
		public event PropertyChangedEventHandler PropertyChanged;

		public void OnPropertyChanged(string PropertyName)
		{
			PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
			if (propertyChanged != null)
			{
				PropertyChangedEventArgs args = new PropertyChangedEventArgs(PropertyName);
				this.PropertyChanged(this, args);
			}
		}
		#endregion

		private bool editing;
		public bool IsEditing
		{
			get
			{
				return editing;
			}
			set
			{
				if (editing != value)
				{
					editing = value;
					OnPropertyChanged("IsEditing");
				}
			}
		}

		public DelegateCommand EditCommand { get; set; }
	}
}
